Package org.jbpm.executor.impl.jpa

## Class JPAExecutorStoreService

- java.lang.Object
- - org.jbpm.executor.impl.jpa.JPAExecutorStoreService

- All Implemented Interfaces:
    `org.kie.api.executor.ExecutorStoreService`

      public class JPAExecutorStoreService
      extends Object
      implements org.kie.api.executor.ExecutorStoreService

  IMPORTANT: please keep all classes from package org.jbpm.shared.services.impl as FQCN inside method body to avoid exception logged by CDI when used with in memory mode

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JPAExecutorStoreService​(boolean active)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.executor.ErrorInfo` | `findError​(Long id)` |
    `org.kie.api.executor.RequestInfo` | `findRequest​(Long id)` |
    `List<org.kie.api.executor.RequestInfo>` | `loadRequests()` |
    `List<org.kie.api.executor.RequestInfo>` | `loadRequestsOlderThan​(long olderThan)` |
    `void` | `persistError​(org.kie.api.executor.ErrorInfo error)` |
    `void` | `persistRequest​(org.kie.api.executor.RequestInfo request, Consumer<Object> function)` |
    `org.kie.api.executor.ErrorInfo` | `removeError​(Long errorId)` |
    `org.kie.api.executor.RequestInfo` | `removeRequest​(Long requestId, Consumer<Object> function)` |
    `void` | `setCommandService​(org.kie.api.runtime.CommandExecutor commandService)` |
    `void` | `setEmf​(javax.persistence.EntityManagerFactory emf)` |
    `void` | `setEventSupport​(ExecutorEventSupportImpl eventSupport)` |
    `void` | `updateError​(org.kie.api.executor.ErrorInfo error)` |
    `void` | `updateRequest​(org.kie.api.executor.RequestInfo request, Consumer<Object> function)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPAExecutorStoreService

          public JPAExecutorStoreService​(boolean active)

  - ### Method Detail

    - #### setEventSupport

          public void setEventSupport​(ExecutorEventSupportImpl eventSupport)

    - #### setCommandService

          public void setCommandService​(org.kie.api.runtime.CommandExecutor commandService)

    - #### setEmf

          public void setEmf​(javax.persistence.EntityManagerFactory emf)

    - #### persistRequest

          public void persistRequest​(org.kie.api.executor.RequestInfo request,
                                     Consumer<Object> function)

      Specified by:
        `persistRequest` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### updateRequest

          public void updateRequest​(org.kie.api.executor.RequestInfo request,
                                    Consumer<Object> function)

      Specified by:
        `updateRequest` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### removeRequest

          public org.kie.api.executor.RequestInfo removeRequest​(Long requestId,
                                                                Consumer<Object> function)

      Specified by:
        `removeRequest` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### findRequest

          public org.kie.api.executor.RequestInfo findRequest​(Long id)

      Specified by:
        `findRequest` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### persistError

          public void persistError​(org.kie.api.executor.ErrorInfo error)

      Specified by:
        `persistError` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### updateError

          public void updateError​(org.kie.api.executor.ErrorInfo error)

      Specified by:
        `updateError` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### removeError

          public org.kie.api.executor.ErrorInfo removeError​(Long errorId)

      Specified by:
        `removeError` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### findError

          public org.kie.api.executor.ErrorInfo findError​(Long id)

      Specified by:
        `findError` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### loadRequestsOlderThan

          public List<org.kie.api.executor.RequestInfo> loadRequestsOlderThan​(long olderThan)

      Specified by:
        `loadRequestsOlderThan` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### loadRequests

          public List<org.kie.api.executor.RequestInfo> loadRequests()

      Specified by:
        `loadRequests` in interface `org.kie.api.executor.ExecutorStoreService`